#!/usr/bin/env python
from __future__ import unicode_literals

import db

from pluginmanager import pluginmanager

pm = pluginmanager.PluginManager()

orm = db.connect()

# plugin filling
for p in pm.get_enabled_plugins():
    print "plugin: %s..." % p.name
    try:
        p.fill_data(orm)
    except AttributeError:
        pass
